import { Observable } from 'rxjs';
import { MonkeyEcxRequestProgressQueue, MonkeyEcxRequestQueue } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyEcxRequestQueueHandlingService {
    private queue;
    private queues$;
    private newQueue;
    constructor();
    private addToQueue;
    private markQueueItemAsFinish;
    private updateQueue;
    private deleteQueue;
    setQueue(q: MonkeyEcxRequestQueue | null): void;
    getQueue(): Observable<MonkeyEcxRequestQueue[]>;
    finishQueueItem(q: MonkeyEcxRequestQueue | null, action?: Function, status?: number): void;
    removeQueueItem(q: MonkeyEcxRequestQueue): void;
    updateQueueItem(q: MonkeyEcxRequestQueue, progress: MonkeyEcxRequestProgressQueue): void;
    hasNewQueue(): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxRequestQueueHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxRequestQueueHandlingService>;
}
